## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.10

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XalanDOMString.hpp File Reference

Include dependency graph for XalanDOMString.hpp:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Compounds

- class XalanDOMString::TranscodingError
- class XalanDOMString

## Defines

- #define XALANDOMSTRING_HEADER_GUARD_1357924680

## Typedefs

- typedef XalanVector<XalanDOMChar> XalanDOMCharVectorType
- typedef XalanVector<char> CharVectorType

## Functions

- bool operator== (const XalanDOMString &theLHS, const XalanDOMString &theRHS)
- bool operator== (const XalanDOMString &theLHS, const XalanDOMChar *theRHS)
- bool operator== (const XalanDOMChar *theLHS, const XalanDOMString &theRHS)
- bool operator!= (const XalanDOMString &theLHS, const XalanDOMString &theRHS)
- bool operator!= (const XalanDOMChar *theLHS, const XalanDOMString &theRHS)
- bool operator!= (const XalanDOMString &theLHS, const XalanDOMChar *theRHS)
- XalanDOMString& add (const XalanDOMString &theLHS, const XalanDOMString &theRHS, XalanDOMString &result)
- XalanDOMString& add (const XalanDOMString &theLHS, const XalanDOMChar *theRHS, XalanDOMString &result)
- XalanDOMString& add (const XalanDOMChar *theLHS, const XalanDOMString &theRHS, XalanDOMString &result)
- const XalanDOMString& add (const char *theLHS, const XalanDOMString &theRHS, XalanDOMString &result)
- const XalanDOMString& add (const XalanDOMString &theLHS, const char *theRHS, XalanDOMString &result)
- XALAN_DOM_EXPORT_FUNCTION (bool) TranscodeToLocalCodePage(const XalanDOMChar *theSourceString, XalanDOMString
    Convert a string to a XalanDOMString, transcoding from the default local code page. More...
- XALAN_DOM_EXPORT_FUNCTION (void) TranscodeToLocalCodePage(const XalanDOMChar *theSourceString, CharVectorType &targetVector, bool terminate, char theSubstitutionChar)
    Convert a XalanDOMChar string to C++ standard library vector, transcoding to the default local code page. More...
- const CharVectorType TranscodeToLocalCodePage (const XalanDOMChar *theSourceString)
    Convert XalanDOMString to C++ standard library vector, transcoding to the default local code page. More...
- bool TranscodeToLocalCodePage (const XalanDOMString &theSourceString, CharVectorType &targetVector, bool terminate=false)
    Convert XalanDOMString to C++ standard library vector, transcoding to the default local code page. More...
- void TranscodeToLocalCodePage (const XalanDOMString &theSourceString, CharVectorType &targetVector, bool terminate, char theSubstitutionChar)
    Convert XalanDOMString to C++ standard library vector, transcoding to the default local code page. More...
- const CharVectorType TranscodeToLocalCodePage (const XalanDOMString &theSourceString)
    Convert XalanDOMString to C++ standard library vector, transcoding to the default local code page. More...
- const XalanDOMString& TranscodeFromLocalCodePage (const char *theSourceString, XalanDOMString &result, XalanDOMString::size_type theSourceStringLength=XalanDOMString::npos)
    Convert a string to a XalanDOMString, transcoding from the default local code page. More...

## Define Documentation

#define XALANDOMSTRING_HEADER_GUARD_1357924680

| Value:

## Typedef Documentation

typedef XalanVector< char > CharVectorType<char>

typedef XalanVector< XalanDOMChar > XalanDOMCharVectorType<XalanDOMChar>

## Function Documentation

const XalanDOMString & TranscodeFromLocalCodePage ( | const char * theSourceString,
| XalanDOMString & result,
| XalanDOMString::size_type theSourceStringLength = XalanDOMString::npos )

  | Convert a string to a XalanDOMString, transcoding from the default local code page. Parameters:
  theSourceString | The source string
  theSourceStringLength | The source string length.
Returns: The new string.

const CharVectorType TranscodeToLocalCodePage ( | const XalanDOMString & theSourceString )

  | Convert XalanDOMString to C++ standard library vector, transcoding to the default local code page. Parameters:
  thetheSourceString | source string
Returns: The transcoded string.

void TranscodeToLocalCodePage ( | const XalanDOMString & theSourceString,
| CharVectorType & targetVector,
| bool terminate,
| char theSubstitutionChar )

  | Convert XalanDOMString to C++ standard library vector, transcoding to the default local code page. Parameters:
  theSourceString | The source string
  targetVector | The target string
  theSubstitutionChar | The substitution character for code points that are not presentable in the local page

bool TranscodeToLocalCodePage ( | const XalanDOMString & theSourceString,
| CharVectorType & targetVector,
| bool terminate = false )

  | Convert XalanDOMString to C++ standard library vector, transcoding to the default local code page. Parameters:
  theSourceString | The source string
  targetVector | The target string
Returns: true if successful, false if not.

const CharVectorType TranscodeToLocalCodePage ( | const XalanDOMChar * theSourceString )

  | Convert XalanDOMString to C++ standard library vector, transcoding to the default local code page. Null-terminate the sttring... Parameters:
  theSourceString | source string
Returns: The transcoded string.

XALAN_DOM_EXPORT_FUNCTION ( | void ) const

  | Convert a XalanDOMChar string to C++ standard library vector, transcoding to the default local code page. The string _must_ be null-terminated. Parameters:
  theSourceString | The source string
  targetVector | The target string
  terminate | If true, the transcoded string will be null-terminated

XALAN_DOM_EXPORT_FUNCTION ( | bool ) const

  | Convert a string to a XalanDOMString, transcoding from the default local code page. Parameters:
  theSourceString | The source string
  theSourceStringLength | The source string length.
Returns: The new string.

const XalanDOMString & add ( | const XalanDOMString & theLHS,
| const char * theRHS,
| XalanDOMString & result )

const XalanDOMString & add ( | const char * theLHS,
| const XalanDOMString & theRHS,
| XalanDOMString & result )

XalanDOMString & add ( | const XalanDOMChar * theLHS,
| const XalanDOMString & theRHS,
| XalanDOMString & result )

XalanDOMString & add ( | const XalanDOMString & theLHS,
| const XalanDOMChar * theRHS,
| XalanDOMString & result )

XalanDOMString & add ( | const XalanDOMString & theLHS,
| const XalanDOMString & theRHS,
| XalanDOMString & result )

bool operator!= ( | const XalanDOMString & theLHS,
| const XalanDOMChar * theRHS )

bool operator!= ( | const XalanDOMChar * theLHS,
| const XalanDOMString & theRHS )

bool operator!= ( | const XalanDOMString & theLHS,
| const XalanDOMString & theRHS )

bool operator== ( | const XalanDOMChar * theLHS,
| const XalanDOMString & theRHS )

bool operator== ( | const XalanDOMString & theLHS,
| const XalanDOMChar * theRHS )

bool operator== ( | const XalanDOMString & theLHS,
| const XalanDOMString & theRHS )

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.10 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.